import { Expose, Type } from 'class-transformer';
import { EquiposOutputDto } from '../../../equipo/dto/output/equipos.dto';
import { UsuarioInstitucionCarreraMinOutputDto } from '../../../institucion-usuario/dto/output/usuario-institucion-carrera-min.dto';

export class ActivosOutputDto {
  @Expose()
  id_prestamo;

  @Expose()
  fecha_inicio;

  @Expose()
  hora_fin;

  @Expose()
  hora_inicio;

  @Expose()
  hora_max_recoger;

  @Expose()
  @Type(() => EquiposOutputDto)
  equipo;

  @Expose()
  @Type(() => UsuarioInstitucionCarreraMinOutputDto)
  institucionUsuario;
}
